NX Open C++ Reference Guide
|
Represents a @link Features::SnipSurface Features::SnipSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSnipSurfaceBuilder Features::FeatureCollection::CreateSnipSurfaceBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Types { TypesSnipCurve, TypesSnipSurface, TypesSnipAtPlane, TypesIsoparamSnip } |
Snip method added in v 7.5.0. More... | |
Public Member Functions | |
int | CutType () |
Returns the cutting type Created in NX6.0.0. | |
bool | DivideSurface () |
Returns a value indicating whether to divide the surface Created in NX6.0.0. | |
bool | EditCopy () |
Returns a value indicating whether to keep the original surface intact Created in NX7.5.0. | |
bool | GetCreateNewCopy () |
Returns the indicator for creating a new copy. | |
NXOpen::Expression * | IsoparametricPosition () |
Returns the isoparametric position Created in NX7.5.0. | |
bool | KeepOppositeSurface () |
Returns a value indicating whether to keep the opposite surface. | |
NXOpen::GeometricUtilities::ProjectionOptions * | ProjectDirection () |
Returns the project direction Created in NX6.0.0. | |
NXOpen::GeometricUtilities::RefitControlBuilder * | RefitControl () |
Returns the refit control Created in NX6.0.0. | |
NXOpen::Point3d | RegionPickPoint () |
Returns the 3D point picked on surface in Select Face Created in NX6.0.0. | |
int | SelectUV () |
Returns the UV flag Created in NX7.5.0. | |
void | SetCreateNewCopy (bool createNewCopy) |
Sets the indicator for creating a new copy Created in NX6.0.0. | |
void | SetCutType (int cutType) |
Sets the cutting type Created in NX6.0.0. | |
void | SetDivideSurface (bool divide) |
Sets a value indicating whether to divide the surface Created in NX6.0.0. | |
void | SetEditCopy (bool editCopy) |
Sets a value indicating whether to keep the original surface intact Created in NX7.5.0. | |
void | SetKeepOppositeSurface (bool switchRegion) |
Sets a value indicating whether to keep the opposite surface. | |
void | SetRegionPickPoint (const NXOpen::Point3d &pnt) |
Sets the 3D point picked on surface in Select Face Created in NX6.0.0. | |
void | SetSelectUV (int selectUV) |
Sets the UV flag Created in NX7.5.0. | |
void | SetSnippingPlane (NXOpen::Plane *plane) |
Sets the snipping plane Created in NX6.0.0. | |
void | SetSurfacePointUV (const NXOpen::Point3d &surfacePointUV) |
Sets the UV values of the picked point on surface Created in NX6.0.0. | |
void | SetType (NXOpen::Features::SnipSurfaceBuilder::Types type) |
Sets the snipping method accessor Created in NX7.5.0. | |
NXOpen::Section * | SnippingCurve () |
Returns the snipping curve Created in NX6.0.0. | |
NXOpen::SelectTaggedObject * | SnippingObject () |
Returns the snipping object Created in NX7.5.0. | |
NXOpen::Plane * | SnippingPlane () |
Returns the snipping plane Created in NX6.0.0. | |
NXOpen::Point3d | SurfacePointUV () |
Returns the UV values of the picked point on surface Created in NX6.0.0. | |
NXOpen::SelectFace * | TargetFace () |
Returns the target face Created in NX6.0.0. | |
NXOpen::Features::SnipSurfaceBuilder::Types | Type () |
Returns the snipping method accessor Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::SnipSurface Features::SnipSurface@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateSnipSurfaceBuilder Features::FeatureCollection::CreateSnipSurfaceBuilder @endlink <br>
Default values.
Property | Value |
---|---|
RefitControl.DegreesAndSegmentsOrPatches.Degree |
3 |
RefitControl.DegreesAndSegmentsOrPatches.SegmentsOrPatches |
1 |
RefitControl.DegreesAndSegmentsOrPatches.UDegree |
5 |
RefitControl.DegreesAndSegmentsOrPatches.UPatches |
1 |
RefitControl.DegreesAndSegmentsOrPatches.VDegree |
5 |
RefitControl.DegreesAndSegmentsOrPatches.VPatches |
1 |
Created in NX6.0.0.
int NXOpen::Features::SnipSurfaceBuilder::CutType | ( | ) |
Returns the cutting type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::SnipSurfaceBuilder::DivideSurface | ( | ) |
Returns a value indicating whether to divide the surface
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::SnipSurfaceBuilder::EditCopy | ( | ) |
Returns a value indicating whether to keep the original surface intact
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::SnipSurfaceBuilder::GetCreateNewCopy | ( | ) |
Returns the indicator for creating a new copy.
NXOpen::Expression* NXOpen::Features::SnipSurfaceBuilder::IsoparametricPosition | ( | ) |
Returns the isoparametric position
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::SnipSurfaceBuilder::KeepOppositeSurface | ( | ) |
Returns a value indicating whether to keep the opposite surface.
This is applicable only when DivideSurface is false
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::ProjectionOptions* NXOpen::Features::SnipSurfaceBuilder::ProjectDirection | ( | ) |
Returns the project direction
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::RefitControlBuilder* NXOpen::Features::SnipSurfaceBuilder::RefitControl | ( | ) |
Returns the refit control
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Point3d NXOpen::Features::SnipSurfaceBuilder::RegionPickPoint | ( | ) |
Returns the 3D point picked on surface in Select Face
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
int NXOpen::Features::SnipSurfaceBuilder::SelectUV | ( | ) |
Returns the UV flag
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::SnipSurfaceBuilder::SetCreateNewCopy | ( | bool | createNewCopy | ) |
Sets the indicator for creating a new copy
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
createNewCopy | createnewcopy |
void NXOpen::Features::SnipSurfaceBuilder::SetCutType | ( | int | cutType | ) |
Sets the cutting type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
cutType | cuttype |
void NXOpen::Features::SnipSurfaceBuilder::SetDivideSurface | ( | bool | divide | ) |
Sets a value indicating whether to divide the surface
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
divide | divide |
void NXOpen::Features::SnipSurfaceBuilder::SetEditCopy | ( | bool | editCopy | ) |
Sets a value indicating whether to keep the original surface intact
Created in NX7.5.0.
License requirements : None
editCopy | editcopy |
void NXOpen::Features::SnipSurfaceBuilder::SetKeepOppositeSurface | ( | bool | switchRegion | ) |
Sets a value indicating whether to keep the opposite surface.
This is applicable only when DivideSurface is false
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
switchRegion | switchregion |
void NXOpen::Features::SnipSurfaceBuilder::SetRegionPickPoint | ( | const NXOpen::Point3d & | pnt | ) |
Sets the 3D point picked on surface in Select Face
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
pnt | pnt |
void NXOpen::Features::SnipSurfaceBuilder::SetSelectUV | ( | int | selectUV | ) |
Sets the UV flag
Created in NX7.5.0.
License requirements : None
selectUV | selectuv |
void NXOpen::Features::SnipSurfaceBuilder::SetSnippingPlane | ( | NXOpen::Plane * | plane | ) |
Sets the snipping plane
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
plane | plane |
void NXOpen::Features::SnipSurfaceBuilder::SetSurfacePointUV | ( | const NXOpen::Point3d & | surfacePointUV | ) |
Sets the UV values of the picked point on surface
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
surfacePointUV | surfacepointuv |
void NXOpen::Features::SnipSurfaceBuilder::SetType | ( | NXOpen::Features::SnipSurfaceBuilder::Types | type | ) |
Sets the snipping method accessor
Created in NX7.5.0.
License requirements : None
type | type |
NXOpen::Section* NXOpen::Features::SnipSurfaceBuilder::SnippingCurve | ( | ) |
Returns the snipping curve
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::SelectTaggedObject* NXOpen::Features::SnipSurfaceBuilder::SnippingObject | ( | ) |
Returns the snipping object
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Plane* NXOpen::Features::SnipSurfaceBuilder::SnippingPlane | ( | ) |
Returns the snipping plane
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Point3d NXOpen::Features::SnipSurfaceBuilder::SurfacePointUV | ( | ) |
Returns the UV values of the picked point on surface
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::SelectFace* NXOpen::Features::SnipSurfaceBuilder::TargetFace | ( | ) |
Returns the target face
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::SnipSurfaceBuilder::Types NXOpen::Features::SnipSurfaceBuilder::Type | ( | ) |
Returns the snipping method accessor
Created in NX7.5.0.
License requirements : None